This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 40073 - Toolbar items are not not functioning properly on UWP
Summary: Toolbar items are not not functioning properly on UWP
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.1.0
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-04-03 22:19 UTC by Cody Beyer (MSFT)
Modified: 2017-02-02 13:46 UTC (History)
9 users (show)

See Also:
Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Sample (116.38 KB, application/zip)
2016-04-03 22:19 UTC, Cody Beyer (MSFT)
Details

Description Cody Beyer (MSFT) 2016-04-03 22:19:59 UTC
Created attachment 15589 [details]
Sample

# Description

When putting a tabbed page within a Navigation Page, toolbar items to not appear

# Sample

Attached

# Steps to Reproduce

1. Download sample
2. Open in Visual Studio
3. Deploy UWP app

# Expected Results

Toolbar items should be visible

# Actual Results

Toolbar items are not visible

# Versions

Microsoft Visual Studio 2015
Version 14.0.24720.00 Update 1
Microsoft .NET Framework
Version 4.6.01055

Installed Version: Community

Visual Basic 2015   00322-20000-00000-AA067
Microsoft Visual Basic 2015

Visual C# 2015   00322-20000-00000-AA067
Microsoft Visual C# 2015

Visual C++ 2015   00322-20000-00000-AA067
Microsoft Visual C++ 2015

Visual F# 2015   00322-20000-00000-AA067
Microsoft Visual F# 2015

Windows Phone SDK 8.0 - ENU   00322-20000-00000-AA067
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   4.2.60128.3
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1 (Beta8)   14.1.11106.0
ASP.NET and Web Tools 2015.1 (Beta8)

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.30624.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.5
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

NuGet Package Manager   3.3.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.50616.0
Microsoft SQL Server Data Tools

TypeScript   1.7.6.0
TypeScript for Microsoft Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.24720.00
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.0.1.145 (f869dba)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   6.0.2.1 (46c3f7e)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   9.4.2.24 (49ba15e)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 1 Dennis 2016-11-09 14:13:47 UTC
Any update on this?
Comment 2 Samantha Houts 2016-12-09 22:06:05 UTC
A workaround for this issue is to set a title on the TabbedPage.
Comment 3 Rui Marinho 2017-01-03 11:30:32 UTC
Should be fixed in 2.3.4-pre2
Comment 4 Parmendra Kumar 2017-02-02 13:46:52 UTC
I have checked this issue with Xamarin.Forms 2.3.4.184-pre1 and observed that this issue has been fixed.


Hence closing this issue.

Note You need to log in before you can comment on or make changes to this bug.